Get response from asynchronous bulk order operation
Bulk Order Actions
Get Bulk Order Response
Get the response from an asynchronous bulk order operation.
GET
Get response from asynchronous bulk order operation
Documentation Index
Fetch the complete documentation index at: https://docs.usenash.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the bulk operation
Example:
"act_1234567890"
Response
OK
Bulk Operation Response for Orders.
The status of the bulk operation
Available options:
QUEUED, IN_PROGRESS, SUCCESS, FAILED, CANCELLED, SKIPPED, SCHEDULED Example:
"SUCCESS"
The summary of the bulk operation
Example:
{
"failedOperations": 1,
"successfulOperations": 4,
"totalOperations": 5
}The results of the bulk operation
Example:
[
{
"action": "upsert",
"errorMessage": null,
"id": "ord_1234567890",
"status": "success"
},
{
"action": "delete",
"errorMessage": null,
"id": "ord_0987654321",
"status": "success"
},
{
"action": "delete",
"errorMessage": "order with id or external_id 'ord_fake_does_not_exist' does not exist, error_code=MISSING_RESOURCE",
"id": "ord_fake_does_not_exist",
"status": "error"
}
]